Page MenuHomePhabricator

Mobile Content Service: Add Accept: header to your HTML requests to RESTBase/Parsoid as per T124365
Closed, ResolvedPublic

Description

T124365#2062088 documents the decision of the ArchCom RFC on API content versioning. Accordingly, Mobile Content Service should add an Accept: header with the current Parsoid HTML version to your API requests for Parsoid HTML.

Once T128040: Document and implement the REST API format versioning and negotiation policy is resolved, there will be on-wiki documentation about this.

Event Timeline

ssastry created this task.Feb 26 2016, 11:33 PM
ssastry renamed this task from Add Accept: header to your HTML requests to RESTBase/Parsoid as per T124365 to Mobile Content Service: Add Accept: header to your HTML requests to RESTBase/Parsoid as per T124365.Feb 26 2016, 11:38 PM

Change 275522 had a related patch set uploaded (by Mholloway):
Add Accept header to RESTBase requests for format negotiation

https://gerrit.wikimedia.org/r/275522

Mholloway claimed this task.Mar 7 2016, 4:18 PM
Mholloway moved this task from Incoming to Code Review on the Mobile-Content-Service board.

Change 275522 merged by jenkins-bot:
Add Accept header to RESTBase requests for format negotiation

https://gerrit.wikimedia.org/r/275522

Mholloway closed this task as Resolved.Mar 7 2016, 9:08 PM
Mholloway moved this task from Code Review to To Deploy on the Mobile-Content-Service board.
Mholloway reopened this task as Open.Mar 8 2016, 5:33 PM

Needs prod config change

Change 275853 had a related patch set uploaded (by Mholloway):
Add Accept: header to RESTBase/Parsoid requests

https://gerrit.wikimedia.org/r/275853

The puppet SWAT was postponed because of issues in production. Will reschedule.

Dbrant closed this task as Resolved.Mar 10 2016, 8:06 PM

Change 275853 merged by Giuseppe Lavagetto:
Add Accept: header to RESTBase/Parsoid requests

https://gerrit.wikimedia.org/r/275853